---
type: api
title: Get remote synced integrations status by outputId
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v9/operation/operation-get-fleet-remote-synced-integrations-outputid-remote-status
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v9/operation/operation-get-fleet-remote-synced-integrations-outputid-remote-status
products:
  - Kibana
---

# Get remote synced integrations status by outputId

Availability: 9.1+

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/fleet/remote_synced_integrations/{outputId}/remote_status`
- `GET` `/s/{space_id}/api/fleet/remote_synced_integrations/{outputId}/remote_status`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v9/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v9/authentication#basicauth)

#### Path Parameters

- `outputId` (string)
  The ID of the output

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Get the synchronization status of remote integrations for a specific output by its ID.<br/><br/>[Required authorization] Route required privileges: fleet-settings-read AND integrations-read.

## Responses

#### `200`

Successful response

`application/json`

- `custom_assets` (map string to object)
  Map values (object)
  - `error` (string)
  - `is_deleted` (boolean)
  - `name` (string)
  - `package_name` (string)
  - `package_version` (string)
  - `sync_status` (enum)
    Values: `completed`, `synchronizing`, `failed`, `warning`
  - `type` (string)
  - `warning` (object)
    - `message` (string)
    - `title` (string)
- `error` (string)
- `integrations` ([] object · max: 10000)
  - `error` (string)
  - `id` (string)
  - `install_status` (object)
    - `main` (string)
    - `remote` (string)
  - `package_name` (string)
  - `package_version` (string)
  - `sync_status` (enum)
    Values: `completed`, `synchronizing`, `failed`, `warning`
  - `updated_at` (string)
  - `warning` (object)
    - `message` (string)
    - `title` (string)
- `warning` (object)
  - `message` (string)
  - `title` (string)
#### `400`

Bad Request

`application/json`

- `attributes` (object)
- `error` (string)
- `errorType` (string)
- `message` (string)
- `statusCode` (number)
## Code Examples

#### Console

```console
GET /api/fleet/remote_synced_integrations/{outputId}/remote_status
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/fleet/remote_synced_integrations/{outputId}/remote_status"
```

## Response Examples

#### Get remote synced integrations info

Synchronization status of remote integrations for a specific output

```json
{
  "integrations": [
    {
      "id": "nginx-remote",
      "install_status": {
        "main": "installed",
        "remote": "installed"
      },
      "package_name": "nginx",
      "package_version": "1.20.0",
      "sync_status": "COMPLETED",
      "updated_at": "2024-01-01T00:00:00.000Z"
    }
  ]
}
```

#### Generic error response

Example of a generic error response

```json
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}
```

